spring:
  profiles:
    include: rabbitMQ
  # JDBC
  datasource:
    url: jdbc:mysql://202.165.179.86:3306/mallinkDev?characterEncoding=UTF-8&serverTimezone=Asia/Shanghai&useUnicode=true&useSSL=false&useAffectedRows=true
    username: ENC(dZ8fmrtuBMQYaRytKQgTqg==)
    password: ENC(WGu0+1DPIHrqorDhrbq1+7wr7xNG53mN)
    type: com.alibaba.druid.pool.DruidDataSource
    driver-class-name: com.mysql.cj.jdbc.Driver
    filters: stat
    maxActive: 20
    initialSize: 1
    maxWait: 60000
    minIdle: 1
    timeBetweenEvictionRunsMillis: 28000
    minEvictableIdleTimeMillis: 28000
    validationQuery: select 'x'
    testWhileIdle: true
    testOnBorrow: false
    testOnReturn: false
    poolPreparedStatements: true
    maxOpenPreparedStatements: 20
  #jackson: 
    #date-format: yyyy-MM-dd HH:mm:ss

  # REDIS
  redis:
    host: 202.165.179.86
    port: 6379
    password: ENC(aYJ3Wr2UWtkORRQjjrWWpz2ZeTISsHOA)
    timeout: 3600
    expire: 1800 #30分钟
    database: 1
    defaultExpiration: 2592000 # 默认生命周期30天
    jedis:
      pool:
        max-active: 50
        max-idle: 30
        max-wait: -1
        min-idle: 0
  # EMAIL
  mail:
    host: smtp.exmail.qq.com
    username: ENC(R0bER9E9OB9/YQcpNXMyYDwofNVb8/pFl4nrApS8mi0=)
    password: ENC(50YqJd0iK/2r2YnmEd5RKaki3ktU73UDapBJrVYfqmc=)  # 授权密码
    properties:
      mail:
        smtp:
          auth: true
          starttls:
            enable: true
          socketFactory:
            port: 465
            class: javax.net.ssl.SSLSocketFactory
aws:
  clientRegion: cn-northwest-1
  bucketName: iformall-net
  access: ENC(3gx5ghDFBqGrEhO3Wf8aYmXsnwHO7Cj3HNKJGOeUj0o=)
  secret: ENC(HVKIJwCJKVXLlUpGlQPwNqJOlnpxn4xYuy91SH0seTSm2uAttIQHvA49fXWWax90v5wloIk0QuU=)

jasypt:
  encryptor:
    password: oRqdnDbK5pj3eMmB

fm:
  exception: false

logging:
  level:
    tk.mybatis: debug
    com.iformall.mapper: debug
  path: ./logs/b